#!/bin/bash
set -e

NAME="eclipse-dltk"
VERSION=5.1.0

rm -fr $NAME-$VERSION
mkdir $NAME-$VERSION
pushd $NAME-$VERSION

TAG=Root_R5_1_maintenance
wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.releng.git/snapshot/org.eclipse.dltk.releng-$TAG.tar.bz2
tar xfs org.eclipse.dltk.releng-$TAG.tar.bz2
rm org.eclipse.dltk.releng-$TAG.tar.bz2
mv org.eclipse.dltk.releng-$TAG org.eclipse.dltk.releng

TAG=Root_R5_1_maintenance
wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.core.git/snapshot/org.eclipse.dltk.core-$TAG.tar.bz2
tar xfs org.eclipse.dltk.core-$TAG.tar.bz2
rm org.eclipse.dltk.core-$TAG.tar.bz2
mv org.eclipse.dltk.core-$TAG org.eclipse.dltk.core

TAG=Root_R5_1_maintenance
wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.ruby.git/snapshot/org.eclipse.dltk.ruby-$TAG.tar.bz2
tar xfs org.eclipse.dltk.ruby-$TAG.tar.bz2
rm org.eclipse.dltk.ruby-$TAG.tar.bz2
mv org.eclipse.dltk.ruby-$TAG org.eclipse.dltk.ruby

TAG=Root_R5_1_maintenance
wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.tcl.git/snapshot/org.eclipse.dltk.tcl-$TAG.tar.bz2
tar xfs org.eclipse.dltk.tcl-$TAG.tar.bz2
rm org.eclipse.dltk.tcl-$TAG.tar.bz2
mv org.eclipse.dltk.tcl-$TAG org.eclipse.dltk.tcl

popd

#Remove any commited jars
find $NAME-$VERSION -name *.jar -delete

echo "Creating tarball '$NAME-$VERSION.tar.xz'..."
tar -caf $NAME-$VERSION.tar.xz $NAME-$VERSION
